Skip to main content
GET
/
api
/
v2
/
external
/
execution
/
{execution_id}
/
metrics
Get Execution Metrics
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/execution/{execution_id}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "executionId": "<string>",
  "hostname": "<string>",
  "timeRange": {
    "start": "<string>",
    "end": "<string>"
  },
  "gpuUtilizationPercent": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuMemoryUtilizationPercent": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuTemperatureCelsius": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuPowerWatt": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuPowerLimitWatt": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuClockSmMhz": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuClockMemMhz": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuPcieThroughputRxBytesPerSec": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "gpuPcieThroughputTxBytesPerSec": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "systemRamTotalBytes": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "systemRamUsedBytes": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ],
  "systemCpuUsagePercent": [
    {
      "timestamp": "<string>",
      "value": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Path Parameters

execution_id
string
required

Query Parameters

start
string | null

ISO 8601 start timestamp (defaults to execution start_time)

end
string | null

ISO 8601 end timestamp (defaults to execution end_time or current time)

step
string
default:15s

Query resolution (e.g., '5s', '15s', '1m')

Response

Successful Response

Response model for execution metrics (GPU and system).

executionId
string
required
hostname
string
required
timeRange
TimeRange · object
required

Time range for the metrics query.

gpuUtilizationPercent
MetricDataPoint · object[]
required
gpuMemoryUtilizationPercent
MetricDataPoint · object[]
required
gpuTemperatureCelsius
MetricDataPoint · object[]
required
gpuPowerWatt
MetricDataPoint · object[]
required
gpuPowerLimitWatt
MetricDataPoint · object[]
required
gpuClockSmMhz
MetricDataPoint · object[]
required
gpuClockMemMhz
MetricDataPoint · object[]
required
gpuPcieThroughputRxBytesPerSec
MetricDataPoint · object[]
required
gpuPcieThroughputTxBytesPerSec
MetricDataPoint · object[]
required
systemRamTotalBytes
MetricDataPoint · object[]
required
systemRamUsedBytes
MetricDataPoint · object[]
required
systemCpuUsagePercent
MetricDataPoint · object[]
required